## the keyspy-0.0.24

=== requirements.txt ===
blinker==1.9.0
bpyutils==0.5.8
build==1.2.2.post1
certifi==2025.7.14
charset-normalizer==3.4.2
click==8.2.1
dataclasses-json==0.6.7
gitdb==4.0.12
GitPython==3.1.44
http_server_mock==1.7
idna==3.10
iniconfig==2.1.0
itsdangerous==2.2.0
Jinja2==3.1.6
MarkupSafe==3.0.2
marshmallow>=3.18.0,<4.0.0
marshmallow-enum==1.5.1
mypy_extensions==1.1.0
packaging==25.0
pipupgrade==1.12.0
pluggy==1.6.0
Pygments==2.19.2
pyproject_hooks==1.2.0
requests==2.32.4
setuptools==80.9.0
smmap==5.0.2
typing-inspect==0.9.0
typing_extensions==4.14.1
urllib3==2.5.0
Werkzeug==3.1.3

## the 3.3~b4

=== debian/changelog ===
the (3.3~b4-1) unstable; urgency=low

  * Built against libregina3, updated build dependencies (closes: #571374).
  * Fixed lintian errors.
  * Added a debian/watch file.
  * Upgraded to Standards-Version: 3.8.3.
  * Switch to 3.0 (quilt) source package format.
  * New upstream version (closes: #68434, #231175, #499551).
  * Changed email address in control file to <alen@nms.hr>.

 -- Alen Zekulic <alen@nms.hr>  Thu, 28 Jan 2010 12:18:25 +0100

the (3.1-5) unstable; urgency=low

  * Adjusted debian/rules to comply with the latest bash brace
    expansion behavior (closes: #477956).
  * Added handling of the nostrip DEB_BUILD_OPTIONS (closes: #438199).
  * Fixed lintian warnings.
  * Upgraded to Standards-Version: 3.7.3

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 09 May 2008 21:55:30 +0200

the (3.1-4) unstable; urgency=low

  * Added sharutils to Build-Depends (closes: #251909).
  * Regina is now available in unstable (closes: #249746).

 -- Alen Zekulic <azekulic@fesb.hr>  Tue,  1 Jun 2004 13:18:31 +0200

the (3.1-3) unstable; urgency=low

  * New upstream version.
  * No longer provide /usr/doc link.
  * Upgraded to Standards-Version: 3.6.1

 -- Alen Zekulic <azekulic@fesb.hr>  Tue, 11 May 2004 17:33:36 +0200

the (3.1-2) unstable; urgency=low

  * Tweaked debian/rules file.
  * Fixed broken postinst script (closes: #121430).

 -- Alen Zekulic <azekulic@fesb.hr>  Wed, 28 Nov 2001 22:48:35 +0100

the (3.1-1) frozen unstable; urgency=low

  * New upstream version, beta 2001-07-07 (closes: #105112).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu,  4 Oct 2001 17:07:13 +0200

the (3.1-0) unstable; urgency=high

  * Added Build-Depends.
  * Upgraded to Standards-Version: 3.5.3.0
  * New upstream version, beta 2000-12-10 (closes: #94416).

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 20 Apr 2001 17:45:24 +0200

the (3.0-1) frozen unstable; urgency=low

  * Fixed regina dependency.
  * Fixed lintian errors.
  * Replaces pre-released with released 3.0 version.
  * New upstream version (fixes several bugs).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon,  1 May 2000 09:36:57 +0200

the (3.0-0) unstable; urgency=low

  * Upgraded to Standards-Version: 3.0.1.1.
  * FHS transition.
  * New upstream version. (3.0 beta 1999-09-14).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 28 Oct 1999 18:45:04 +0200

the (2.8-0) unstable; urgency=low

  * Fixed lintian errors.
  * Applied Konstantinos Margaritis's powerpc patch (closes bug #38315).
  * Upgraded to Standards-Version: 2.5.0.0.
  * New upstream version. (0.08g beta 1998-12-23).

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 20 Jun 1999 21:15:18 +0200

the (2.5.2-2) frozen unstable; urgency=low

  * Fixed permissions for doc files (fixes: bug#29807).
  * Recompiled against ncurses4.2.

 -- Alen Zekulic <azekulic@fesb.hr>  Wed,  9 Dec 1998 22:57:19 +0100

the (2.5.2-1) unstable; urgency=low

  * Applied James Troup's m68k patch (fixes bug #24227).
  * New upstream version.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun,  4 Oct 1998 19:52:11 +0200

the (2.5-0.3) frozen unstable; urgency=low

  * Recompiled against ncurses 1.9.9g-8.8 (fixes: bug#24986).

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 24 Jul 1998 20:08:45 +0200

the (2.5-0.2) frozen unstable; urgency=low

  * Recompiled against new ncurses library.

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 18 May 1998 23:23:27 +0200

the (2.5-0.1) frozen unstable; urgency=low

  * Fixed regina dependency by rebuilding.

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 10 Apr 1998 22:30:42 +0200

the (2.5-0) frozen unstable; urgency=low

  * Fixed postinst and postrm errors (lintian report).
  * New upstream version (2.5 beta 1998-03-15).

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 20 Mar 1998 01:08:36 +0100

the (2.4-5) unstable; urgency=low

  * the-doc: Added dependency on the.

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 16 Mar 1998 16:05:58 -0800

the (2.4-4) frozen unstable; urgency=low

  * Fixed dependency problem produced on va.
  * Really fixed lintian errors. (fixes: bug#19422)

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 16 Mar 1998 22:37:13 +0100

the (2.4-3) frozen unstable; urgency=low

  * Moved global profile file to /etc.
  * Upgraded to Standards-Version: 2.4.0.0.
  * Fixed lintian errors. (fixes: bug#19422)

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 13 Mar 1998 22:40:25 +0100

the (2.4-2) unstable; urgency=low

  * Changed postinst and prerm scripts to use update-alternatives.
  * Added menu support.
  * copyright no longer compressed. (fixes bug #14454)
  * Architecture no longer hardcoded. (fixes bug #13622)
  * Libc6 release.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 9 Nov 1997 17:10:18 +0100

the (2.4-1) unstable; urgency=low

  * Initial Release.

 -- Alen Zekulic <azekulic@fesb.hr>  Sat, 12 Apr 1997 01:16:03 +0200

=== debian/control ===
Source: the
Section: editors
Priority: optional
Maintainer: Alen Zekulic <alen@nms.hr>
Build-Depends: libncurses5-dev, libregina3-dev, regina-rexx
Standards-Version: 3.8.4
Homepage: http://hessling-editor.sourceforge.net

Package: the
Architecture: any
Suggests: the-doc
Depends: ${shlibs:Depends}
Description: Full-screen character mode text editor
 THE (The Hessling Editor) is a text editor that uses both command
 line commands and key bindings to operate. It is intended to be
 similar to the VM/CMS System Product Editor, XEDIT and to KEDIT
 from Mansfield Software.

Package: the-doc
Section: doc
Architecture: all
Suggests: the
Description: THE Reference Manual
 THE was originally written to be used by people already familiar with the
 VM/CMS System Product Editor XEDIT and KEDIT from Mansfield Software. For
 this reason, THE Reference Manual provides limited information on using THE,
 and concentrates more on reference material, such as command syntax and
 configuration.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

package=the

CCOPTS="-O2 -g"

build: stamp-build stamp-doc
stamp-build: stamp-configure
	$(checkdir)
	$(MAKE) CFLAGS=$(CCOPTS) the THE_Help.txt
	touch stamp-build

configure: stamp-configure
stamp-configure:
	$(checkdir)
	./configure --prefix=/usr --exec-prefix=/usr --with-ncurses \
		--with-rexx=regina --with-rexxincdir=/usr/include/regina \
		--with-global-profile=/etc/therc --srcdir=`pwd`
	touch stamp-configure

stamp-doc: stamp-build
	$(checkdir)
	$(MAKE) html
	touch stamp-doc

doc: stamp-doc

clean:
	$(checkdir)
	-rm -f stamp-build stamp-configure stamp-doc THE_Help_head \
	 THE_Help_set THE_Help_sos THE_Help_tail app5.htm app6.htm config.guess  \
	 config.h config.sub fdl.htm preparecomb.the title.htm nthe divtop.gif \
	 divbot.gif the64.gif the256.gif the64.png
	[ ! -f Makefile ] || $(MAKE) distclean
	-chmod 644 debian/md5_sums
	-rm -f `find . \( -name '*~' -o -name '*.bak' \) -print`
	-rm -rf core debian/tmp* debian/files* debian/*substvars

binary-indep: checkroot build stamp-doc
	-rm -rf debian/tmp-doc
	install -d -m755 debian/tmp-doc/{DEBIAN,usr/share/{doc/{the/html,the-doc},doc-base,THE}}
	cp debian/manual.the debian/tmp-doc/usr/share/THE
	gzip -9fc the.man > debian/tmp-doc/usr/share/doc/the/the.man.gz
	gzip -9fc HISTORY > debian/tmp-doc/usr/share/doc/the-doc/changelog.gz
	gzip -9fc debian/changelog > debian/tmp-doc/usr/share/doc/the-doc/changelog.Debian.gz
	cp debian/copyright debian/tmp-doc/usr/share/doc/the-doc
	install -m644 {*.html,doc/*.gif} debian/tmp-doc/usr/share/doc/the/html/
	#uudecode debian/*.png.uu && mv *.png debian/tmp-doc/usr/share/doc/the/html/
	cp debian/menu-doc debian/tmp-doc/usr/share/doc-base/the
	rm -f debian/substvars
	dpkg-gencontrol -isp -p$(package)-doc -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	chmod 755 debian/md5_sums
	debian/md5_sums tmp-doc
	dpkg --build debian/tmp-doc ..

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d -m755 debian/tmp/{DEBIAN,etc,usr/{bin,share/man/man1,share/doc/the,share/menu}}
	$(MAKE) install prefix=debian/tmp/usr exec_prefix=debian/tmp/usr
	mv debian/tmp/usr/bin/nthe debian/tmp/usr/bin/the
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))                                                                                           
	strip --strip-all --remove-section=.comment --remove-section=.note debian/tmp/usr/bin/the
endif                                                                                                                                        
	cp README TODO debian/tmp/usr/share/doc/the
	cp HISTORY debian/tmp/usr/share/doc/the/changelog
	cp debian/changelog debian/tmp/usr/share/doc/the/changelog.Debian
	cp debian/the.1 debian/tmp/usr/share/man/man1/the.1
	gzip -9f debian/tmp/usr/share/{doc/the/*,man/man1/the.1}
	cp debian/copyright debian/tmp/usr/share/doc/the
	install -m755 debian/postinst debian/tmp/DEBIAN/postinst
	install -m755 debian/postrm debian/tmp/DEBIAN/postrm
	install -m755 debian/prerm debian/tmp/DEBIAN/prerm
	install -m644 debian/conffiles debian/tmp/DEBIAN/conffiles
	install -m644 debian/therc.default debian/tmp/etc/therc
	install -m644 debian/therc.example debian/tmp/usr/share/THE/therc.example
	cp debian/menu debian/tmp/usr/share/menu/the
	dpkg-shlibdeps debian/tmp/usr/bin/the
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp*
	chmod -R go=rX debian/tmp*
	chmod 755 debian/md5_sums
	debian/md5_sums tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-arch binary-indep

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## the 3.3~rc1

=== debian/changelog ===
the (3.3~rc1-3) unstable; urgency=low

  * Applied patches from Maria Valentina Marin <marivalenm@gmail.com>
    and Chris Lamb <lamby@debian.org> to make the build reproducible
    (closes: #793728, #777370).
  * Fixed document directory path (closes: #736870)
  * Fixed debian/rules binary-indep target (closes: #806117).
  * Upgraded to Standards-Version: 3.9.8.

 -- Alen Zekulic <alen@nms.hr>  Wed, 10 Aug 2016 00:57:26 +0200

the (3.3~rc1-2) unstable; urgency=low

  * Fixed debian/rules build target.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 18:06:43 +0200

the (3.3~rc1-1) unstable; urgency=low

  * Fixed lintian errors.
  * Upgraded to Standards-Version: 3.9.3.
  * New upstream version.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 05:45:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,32 +4,47 @@
 
 package=the
 
-CCOPTS="-O2 -g"
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
 
-build: stamp-build stamp-doc
+build: build-arch build-indep
+build-arch: stamp-build
+build-indep: stamp-build stamp-doc
 stamp-build: stamp-configure
 	$(checkdir)
-	$(MAKE) CFLAGS=$(CCOPTS) the THE_Help.txt
+	$(MAKE)
 	touch stamp-build
 
 configure: stamp-configure
 stamp-configure:
 	$(checkdir)
-	./configure --prefix=/usr --exec-prefix=/usr --with-ncurses \
+	cp -f common/config.guess common/config.guess.old
+	cp -f common/config.sub common/config.sub.old
+	cp -f /usr/share/misc/config.sub common/
+	cp -f /usr/share/misc/config.guess common/
+	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
+		--prefix=/usr --exec-prefix=/usr --with-ncurses \
 		--with-rexx=regina --with-rexxincdir=/usr/include/regina \
-		--with-global-profile=/etc/therc --srcdir=`pwd`
+		--with-global-profile=/etc/therc --docdir=/usr/share/THE --srcdir=`pwd`
 	touch stamp-configure
 
 stamp-doc: stamp-build
 	$(checkdir)
-	$(MAKE) html
+	$(MAKE) html the.man
 	touch stamp-doc
 
 doc: stamp-doc
 
 clean:
 	$(checkdir)
-	-rm -f stamp-build stamp-configure stamp-doc THE_Help_head \
+	if [ -f common/config.sub.old -a -f common/config.guess.old ]; then \
+	    mv common/config.sub.old common/config.sub; \
+	    mv common/config.guess.old common/config.guess; \
+	fi
+	-rm -f stamp-build stamp-configure stamp-doc THE_Help.txt THE_Help_head \
 	 THE_Help_set THE_Help_sos THE_Help_tail app5.htm app6.htm config.guess  \
 	 config.h config.sub fdl.htm preparecomb.the title.htm nthe divtop.gif \
 	 divbot.gif the64.gif the256.gif the64.png
@@ -42,9 +57,9 @@
 	-rm -rf debian/tmp-doc
 	install -d -m755 debian/tmp-doc/{DEBIAN,usr/share/{doc/{the/html,the-doc},doc-base,THE}}
 	cp debian/manual.the debian/tmp-doc/usr/share/THE
-	gzip -9fc the.man > debian/tmp-doc/usr/share/doc/the/the.man.gz
-	gzip -9fc HISTORY > debian/tmp-doc/usr/share/doc/the-doc/changelog.gz
-	gzip -9fc debian/changelog > debian/tmp-doc/usr/share/doc/the-doc/changelog.Debian.gz
+	gzip -9nfc the.man > debian/tmp-doc/usr/share/doc/the/the.man.gz
+	gzip -9nfc HISTORY > debian/tmp-doc/usr/share/doc/the-doc/changelog.gz
+	gzip -9nfc debian/changelog > debian/tmp-doc/usr/share/doc/the-doc/changelog.Debian.gz
 	cp debian/copyright debian/tmp-doc/usr/share/doc/the-doc
 	install -m644 {*.html,doc/*.gif} debian/tmp-doc/usr/share/doc/the/html/
 	#uudecode debian/*.png.uu && mv *.png debian/tmp-doc/usr/share/doc/the/html/
@@ -55,6 +70,8 @@
 	chmod -R go=rX debian/tmp-doc
 	chmod 755 debian/md5_sums
 	debian/md5_sums tmp-doc
+	find debian/tmp-doc -newermt "@$$SOURCE_DATE_EPOCH" -print0 | \
+		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
 	dpkg --build debian/tmp-doc ..
 
 binary-arch: checkroot build
@@ -63,14 +80,14 @@
 	install -d -m755 debian/tmp/{DEBIAN,etc,usr/{bin,share/man/man1,share/doc/the,share/menu}}
 	$(MAKE) install prefix=debian/tmp/usr exec_prefix=debian/tmp/usr
 	mv debian/tmp/usr/bin/nthe debian/tmp/usr/bin/the
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))                                                                                           
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	strip --strip-all --remove-section=.comment --remove-section=.note debian/tmp/usr/bin/the
-endif                                                                                                                                        
+endif
 	cp README TODO debian/tmp/usr/share/doc/the
 	cp HISTORY debian/tmp/usr/share/doc/the/changelog
 	cp debian/changelog debian/tmp/usr/share/doc/the/changelog.Debian
 	cp debian/the.1 debian/tmp/usr/share/man/man1/the.1
-	gzip -9f debian/tmp/usr/share/{doc/the/*,man/man1/the.1}
+	gzip -9nf debian/tmp/usr/share/{doc/the/*,man/man1/the.1}
 	cp debian/copyright debian/tmp/usr/share/doc/the
 	install -m755 debian/postinst debian/tmp/DEBIAN/postinst
 	install -m755 debian/postrm debian/tmp/DEBIAN/postrm
@@ -85,6 +102,8 @@
 	chmod -R go=rX debian/tmp*
 	chmod 755 debian/md5_sums
 	debian/md5_sums tmp
+	find debian/tmp -newermt "@$$SOURCE_DATE_EPOCH" -print0 | \
+		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
 	dpkg --build debian/tmp ..
 
 define checkdir

=== debian/watch ===
version=3
http://sf.net/hessling-editor/THE-(\d\.\d)\.tar\.gz

## the utils-1.0.1

=== requirements.txt ===
torch
texttable>=1.6
numpy
munkres
pytz
matplotlib
scikit-learn
pandas
colorlog
